
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

(It's a real bug, but I suspect it doesn't trigger normally as we tend
to allocate the initrd low, but it should be fixed anyway).

This patch fixes an error in prom_init.c in the check for the initrd
location vs. the memory allocation mecanism. 

Signed-off-by: Arnd Bergmann <arndb@de.ibm.com>
Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/prom_init.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/prom_init.c~ppc64-fix-thinko-in-prom_initc arch/ppc64/kernel/prom_init.c
--- 25/arch/ppc64/kernel/prom_init.c~ppc64-fix-thinko-in-prom_initc	2005-02-25 00:02:41.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/prom_init.c	2005-02-25 00:02:41.000000000 -0800
@@ -679,8 +679,7 @@ static void __init prom_init_mem(void)
 	 * point to after it
 	 */
 	if (RELOC(prom_initrd_start)) {
-		if ((RELOC(prom_initrd_start) + RELOC(prom_initrd_end))
-		    > RELOC(alloc_bottom))
+		if (RELOC(prom_initrd_end) > RELOC(alloc_bottom))
 			RELOC(alloc_bottom) = PAGE_ALIGN(RELOC(prom_initrd_end));
 	}
 
_
